# $Revision: 1.9 $, $Date: 2004/08/08 19:32:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Text
%define	pnam	Quoted
Summary:	Text::Quoted - extract the structure of a quoted mail message
Summary(pl):	Text::Quoted - wydzielenie struktury cytowanej wiadomoci pocztowej
Name:		perl-Text-Quoted
Version:	1.8
Release:	2
# Artistic (README says: same as perl)
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	cab9d462b480437bab72b6044ac6c788
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Text-Autoformat
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Quoted Perl module examines the structure of some text which may
contain multiple different levels of quoting, and turns the text into
a nested data structure.

%description -l pl
Modu Perla Text::Quoted analizuje struktur pewnego tekstu, ktry
moe zawiera wiele rnych poziomw cytowania i przeksztaca tekst w
zagniedon struktur danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
rm Makefile pm_to_blib

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install\
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Quoted.spec,v $
Revision 1.9  2004/08/08 19:32:04  radek
- release 2: fixed build (rm pm_to_blib & Makefile)

Revision 1.8  2004/08/08 17:03:22  adamg
- updated to 1.8

Revision 1.7  2004/05/06 18:43:23  ankry
- fixed perl-devel BR

Revision 1.6  2004/05/03 01:34:54  ankry
- license fixes, cosmetics

Revision 1.5  2004/01/25 00:08:49  arekm
- autoupdated to 1.5

Revision 1.4  2003/12/07 20:03:56  migo
- up to 1.3
- fixed license, new bcond style

Revision 1.3  2003/10/16 22:10:59  radek
- BR: perl-Text-Autoformat for tests

Revision 1.2  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.1  2003/09/20 12:27:14  arekm
- initial pld release
